gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

An implementation of based on a hash table.

Unlike , this data model implementation stores the in a hash table. So it only retrieves from the database backend exactly the requested rows (while in you have to retrieve all the rows until the one requested).

Gda.DataModel GLib.IWrapper System.IDisposable
- Method
  Gda.Value `` `` ``

  Retrieves the value at a specified column and row.

  a a a a To be added
- Method
  Gda.Row `` ``

  Retrieves a row from the underlying hash table.

  a a a or null if the requested row is not in the hash table. To be added
- Method
  System.Void To be added To be added
- Method
  System.Void

  Frees all the rows inserted in the model.

  To be added
- Method
  System.Void `` ``

  Inserts a row in the model.

  a the number of the row. a to insert. To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor

  Creates a new DataModelHash with cols columns.

  a number of columns for rows in this data model.
  a
  To be added
- Property
  System.Int32

  Sets the number of columns for rows inserted in this model.

  a must be greater than or equal to 0

  This property calls to free the existing rows if any.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.